<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ifelsetech.com
 * @since      1.0.0
 *
 * @package    Jewellery_Price
 * @subpackage Jewellery_Price/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="container">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-header bg-primary text-white">
                    Price Settings
                </div>
                                <div class="card-body">
                    
                    <?php 
                  
                    if(!$this->activated || HAJMILAF != 8564) echo "<p>You must activate license to enable this feature. <a href=".esc_url(menu_page_url('its-settings',false)).">Click here</a> to activate</p>"; ?>
                    <table class="table table-bordered border-primary">
                        <thead>
                            <tr>
                                <th>S.No.</th>
                                <th>Metal</th>
                                <th>Price/gram</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            foreach ($meta_data as $key => $value) { ?>
                                <tr>
                                    <td><?php echo esc_attr($i) ?></td>
                                    <td id="its-jp-metal-name-<?php echo esc_attr($value->id) ?>"><?php echo esc_html($value->metal_name) ?></td>
                                    <td>
                                        <div class="input-group" style="max-width:120px">
                                            <span class="input-group-text"><?php echo esc_html(get_woocommerce_currency_symbol()); ?></span>

                                            <input type="text" name="its-jp-metal-price-<?php echo esc_attr($value->id) ?>" id="its-jp-metal-price-<?php echo esc_attr($value->id) ?>" value="<?php echo esc_attr($value->amount) ?>" class="its-jp-metal-price form-control" disabled>

                                        </div>
                                    </td>
                                    <td>
                                        <input type="button" id="its-jp-metal-edit-btn-<?php echo esc_attr($value->id) ?>" class="btn btn-primary its-jp-edit-btn" data-id="<?php echo esc_attr($value->id) ?>" value="Edit" <?php if(!$this->activated || HAJMILAF != 8564) echo esc_attr('disabled'); ?>> 
                                    </td>
                                <tr>
                                <?php
                                $i++;
                            } ?>
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
        
    </div>
<?php  	include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/jewellery-price-admin-footer.php"); ?>
</div>