<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ifelsetech.com
 * @since      1.0.0
 *
 * @package    Jewellery_Price
 * @subpackage Jewellery_Price/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="container">
  <div class="wrap">
    <h1>Settings</h1>
    <?php
    $active_tab = isset($_GET["tab"]) ? $_GET["tab"] : "activate-license";
    $active_activate_rukhsa = ($active_tab == 'activate-license' ? 'nav-tab-active' : '');
    $active_general = ($active_tab == 'general' ? 'nav-tab-active' : '');
    $active_add_metal_group = ($active_tab == 'add-metal-group' ? 'nav-tab-active' : '');
    $active_add_metal = ($active_tab == 'add-metal' ? 'nav-tab-active' : '');
    $active_discount = ($active_tab == 'discount' ? 'nav-tab-active' : '');
    ?>
    <h2 class="nav-tab-wrapper">
      <a href="<?php echo admin_url() ?>admin.php?page=its-settings&tab=activate-license"
        class="nav-tab <?php echo esc_attr($active_activate_rukhsa); ?>">Activate License</a>
      <!-- <a href="<?php echo admin_url() ?>admin.php?page=its-settings&tab=general"
        class="nav-tab <?php echo esc_attr($active_general); ?>">General</a> -->
      <a href="<?php echo admin_url() ?>admin.php?page=its-settings&tab=add-metal-group"
        class="nav-tab <?php echo esc_attr($active_add_metal_group); ?>">Add Metal Group</a>
      <a href="<?php echo admin_url() ?>admin.php?page=its-settings&tab=add-metal"
        class="nav-tab <?php echo esc_attr($active_add_metal); ?>">Add new metal</a>
        <!-- <a href="<?php echo admin_url() ?>admin.php?page=its-settings&tab=discount"
        class="nav-tab <?php echo esc_attr($active_discount); ?>">Discount</a> -->
        
      </h2>
    <?php
    switch($active_tab){
        case "activate-license":
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/activate-license.php");
            break;
        case "general":
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/general.php");
            break;
        case "add-metal-group":
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/add-metal-group.php");
            break;
        case "add-metal":
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/add-metal.php");
            break;
        case "discount":
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/discount.php");
            break;
        default:
            include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/settings/activate-license.php");
    } ?>
  </div>
  <?php  	include_once(JEWELLERY_PRICE_PLUGIN_PATH . "admin/partials/jewellery-price-admin-footer.php"); ?>
</div>