<div class="row">
  <div class="col-md-10 mt-2">
    <form method="post" action="" id="metal_frm">
      <div class="form-group row">
        <div class="col-md-6">
          <!-- <label for="metal_name" class="col-form-label">Metal Name</label> -->
          <input type="text" class="form-control" id="metal_name" name="metal_name" placeholder="Metal Name"
            aria-describedby="metalNameHelpBlock" <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
          <small id="metalNameHelpBlock" class="form-text text-muted">
            <span class="dashicons dashicons-editor-help"></span>
            Metal name like 14 kt Gold, 18 kt Gold, IF-VVS1-EF Diamond, VVS-EF Diamond etc.
          </small>
        </div>
        <div class="col-md-6">
          <!-- <label for="metal_display_name" class="col-form-label">Metal Display Name</label> -->
          <input type="text" class="form-control" id="metal_display_name" name="metal_display_name"
            placeholder="Metal Display Name" aria-describedby="metalDisplayNameHelpBlock"
            <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
          <small id="metalDisplayNameHelpBlock" class="form-text text-muted text-nowrap">
            <span class="dashicons dashicons-editor-help"></span>
            This metal display name will be used in front end.
          </small>
        </div>
      </div>
      <div class="form-group row mt-2">
        <div class="col-md-4">
          <div>
            <label for="metal_group" class="">Metal Group</label>
            <select name="metal_group" id="metal_group" class="custom-select"
              <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
              <?php foreach ($metal_groups_existed as $key => $value) { ?>
              <option value="<?php echo esc_attr($value->metal_group) ?>">
                <?php echo esc_attr($value->metal_group) ?></option>
              <?php } ?>
            </select>
          </div>
        </div>
        <div class="col-md-4">
          <input type="number" class="" id="metal_price_per_gram" name="metal_price_per_gram"
            placeholder="Metal Price/gram" <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
        </div>
        <div class="col-md-4 d-flex">
          <input type="hidden" class="" id="metalNameParam" placeholder="" value="metalNameParam" name="metalNameParam"
            required>
          <input type="submit" class="btn btn-success" id="submitMetalName" placeholder="" value="Add"
            name="submitMetalName" <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
        </div>
      </div>
      <div class="form-group row mt-4">
        <?php if (!$this->activated || HAJMILAF != 8564) echo "<p>You must activate license to enable this feature. <a href=" . esc_url(menu_page_url('settings', false)) . ">Click here</a> to activate</p>"; ?>
      </div>
    </form>
    <div id="metal_form_notice"></div>
    <br>
    <br>
    <div class="table-responsive">
      <table class="table table-sm" id="metal_table">
        <thead>
          <tr>
            <th>Metal</th>
            <th>Metal Display Name</th>
            <th>Metal Group</th>
            <th>Price/gram</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
          <?php
                                        $i = 1;
                                        foreach ($metals as $key => $value) { ?>
          <tr>
            <td id="its-jp-metal-name-<?php echo esc_attr($value->id) ?>">
              <?php echo esc_attr($value->metal_name) ?></td>
            <td id="its-jp-metal-display-name-<?php echo esc_attr($value->id) ?>">
              <?php echo esc_attr($value->metal_display_name) ?></td>
            <td id="its-jp-metal-name-group-<?php echo esc_attr($value->id) ?>">
              <?php echo esc_attr($value->metal_group) ?></td>
            <td>
              <?php echo esc_html(get_woocommerce_currency_symbol()) ?>&nbsp;<span
                id="its-jp-metal-price-<?php echo esc_attr($value->id) ?>"><?php echo esc_html($value->amount) ?></span>
            </td>
            <td>
              <button class="btn btn-primary btn-sm rounded-circle its-jp-metal-edit"
                id="its-jp-metal-edit-<?php echo esc_attr($value->id) ?>" data-id="<?php echo esc_attr($value->id) ?>"
                <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?> data-bs-toggle="modal"
                data-bs-target="#staticBackdrop"><i class="material-icons"
                  style="font-size:medium;">edit</i></button>&nbsp;<button
                class="btn btn-danger btn-sm rounded-circle its-jp-metal-delete"
                id="its-jp-metal-delete-<?php echo esc_attr($value->id) ?>" data-id="<?php echo esc_attr($value->id) ?>"
                <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>><i class="material-icons"
                  style="font-size:medium;">delete</i></button>
            </td>
          <tr>
            <?php
                                            $i++;
                                        } ?>
        </tbody>
      </table>
      <!-- Modal -->
      <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="staticBackdropLabel">Edit Metal</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <form method="post" action="" id="metal_edit_frm">
                <div class="form-group row">
                  <div class="col-md-6">
                    <!-- <label for="metal_name" class="col-form-label">Metal Name</label> -->
                    <input type="text" class="form-control" id="metal_name_edit" name="metal_name"
                      placeholder="Metal Name" aria-describedby="metalNameHelpBlock">
                  </div>
                  <div class="col-md-6">
                    <!-- <label for="metal_display_name" class="col-form-label">Metal Display Name</label> -->
                    <input type="text" class="form-control" id="metal_display_name_edit" name="metal_display_name"
                      placeholder="Metal Display Name" aria-describedby="metalDisplayNameHelpBlock">
                  </div>
                </div>
                <div class="form-group row mt-2">
                  <div class="col-md-6">
                    <div>
                      <label for="metal_group" class="">Metal Group</label>
                      <select name="metal_group" id="metal_group_edit" class="custom-select"
                        <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
                        <?php foreach ($metal_groups_existed as $key => $value) { ?>
                        <option value="<?php echo esc_attr($value->metal_group) ?>">
                          <?php echo esc_attr($value->metal_group) ?></option>
                        <?php } ?>
                      </select>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div>
                      <input type="number" class="form-control" id="metal_price_per_gram_edit"
                        name="metal_price_per_gram" placeholder="Metal Price/g"
                        <?php echo (!$this->activated || HAJMILAF != 8564) ? esc_attr('disabled') : ''; ?>>
                    </div>
                  </div>
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
              <input type="hidden" class="" id="metalNameEditForm" placeholder="" value="metalNameEditForm"
                name="metalNameEditForm" required>
              <input type="hidden" class="" id="metalIdEdit" value="" name="metal_id" required>
              <input type="submit" class="btn btn-success" id="editMetalName" placeholder="" value="Update"
                name="editMetalName">
            </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>