<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              ifelsetech.com
 * @since             1.3
 * @package           Jewellery_Price
 *
 * @wordpress-plugin
 * Plugin Name:         ITS Jewellery Price
 * Plugin URI:          https://www.ifelsetech.com/its-jewellery-price-plugin/
 * Description:         ITS Jewellery Price Plugin for Woocommerce helps to update prices of jewellery products. We all know that prices of jewellery products change everyday based on prices of precious metals such as Gold and Diamond. Changing the price of each product is a big task that needs human resources and time. With our plugin you need to only update the prices of precious metals. The plugin will take care of updating the prices of the jewellery products.

 * Version:             2.1.4
 * Requires at least:   5.8.2
 * Requires PHP:        7.4
 * Author:              Ifelse
 * Author URI:          https://ifelsetech.com
 * License:             GPL v2 or later
 * License URI:         https://www.gnu.org/licenses/gpl-2.0.html

 * Text Domain:         jewellery-price
 * Domain Path:         /languages 
 * 
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


// If this file is called directly, abort.
// if ( ! defined( 'WPINC' ) && !class_exists('woocommerce')) {
// 	die;
// }






/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'JEWELLERY_PRICE_VERSION', '1.0' );
define( 'JEWELLERY_PRICE_PLUGIN_URL', plugin_dir_url(__FILE__));
define( 'JEWELLERY_PRICE_PLUGIN_PATH', plugin_dir_path(__FILE__) );
define( 'ITS_PRICE_BREAKUP_URL', plugin_dir_url(__FILE__));
define( 'ITS_PRICE_BREAKUP_PATH', plugin_dir_path(__FILE__) );
if ( ! defined( 'ITSJPP_PLUGIN_FILE' ) ) {
  define( 'ITSJPP_PLUGIN_FILE', __FILE__ );
}
if ( ! defined( 'ITSJPP_PLUGIN_BASENAME' ) ) {
  define( 'ITSJPP_PLUGIN_BASENAME', plugin_basename( ITSJPP_PLUGIN_FILE ));
}
$hajm_milaf = filesize(JEWELLERY_PRICE_PLUGIN_PATH . 'includes/license.php');
define('HAJMILAF',$hajm_milaf);

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-jewellery-price-activator.php
 */
function activate_jewellery_price() {
	require_once JEWELLERY_PRICE_PLUGIN_PATH . 'includes/class-jewellery-price-activator.php';
	Jewellery_Price_Activator::activate();

  
    }
  function welcome_message(){
    ?>
   
   <div class="alert alert-danger notice notice-error is-dismissible">
    <p>Your are using our <strong>ITS Jewellery Price</strong> plugin without license.
      So please get your license in our official product website. <a
        href="<?php echo esc_url('https://www.ifelsetech.com/its-jewellery-price-plugin/?utm_source=wordpress-admin&utm_medium=plugin-page')?>" >Clik here buy license </a>.
    </p>
  </div>
   <?php  }


/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-jewellery-price-deactivator.php
 */
function deactivate_jewellery_price() {
	require_once JEWELLERY_PRICE_PLUGIN_PATH . 'includes/class-jewellery-price-deactivator.php';
	Jewellery_Price_Deactivator::deactivate();
}



register_activation_hook( __FILE__, 'activate_jewellery_price' );
register_deactivation_hook( __FILE__, 'deactivate_jewellery_price' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require JEWELLERY_PRICE_PLUGIN_PATH . 'includes/class-jewellery-price.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_jewellery_price() {

	$plugin = new Jewellery_Price();
	$plugin->run();

}
include_once ABSPATH . 'wp-admin/includes/plugin.php';
add_action( 'admin_init', 'itsjp_check_if_woocommerce_installed' );
function itsjp_check_if_woocommerce_installed() {

  // if(is_admin() && current_user_can( 'activate_plugins') && HAJMILAF != 8564){
  //   add_action('admin_notices','welcome_message');
  //   deactivate_plugins(ITSJPP_PLUGIN_BASENAME);
  //       if ( isset( $_GET['activate'] ) ) {
  //           unset( $_GET['activate'] );
  //       }

  // }  

    // If WooCommerce is NOT installed, Deactivate the plugin
    if ( is_admin() && current_user_can( 'activate_plugins') && !is_plugin_active( 'woocommerce/woocommerce.php') ) {

      // Show dismissible error notice
        add_action( 'admin_notices', 'itsjp_woocommerce_check_notice' );

        // Deactivate this plugin
        deactivate_plugins(ITSJPP_PLUGIN_BASENAME);
        if ( isset( $_GET['activate'] ) ) {
            unset( $_GET['activate'] );
        }
    } 
    // If WooCommerce is installed, activate the plugin and carry out further processing
   
}

// Show dismissible error notice if WooCommerce is not present
function itsjp_woocommerce_check_notice() {
    ?>
     <div class="alert alert-danger notice notice-error is-dismissible">
  <p>Plugin activation failed. The <strong>ITS Jewellery Price</strong> plugin requires WooCommerce in order to work.
    So please ensure that WooCommerce is both installed and activated. You may <a
      href="<?php echo esc_url(admin_url("plugin-install.php?tab=plugin-information&plugin=woocommerce&TB_iframe=true&width=600&height=550")) ?>">click
      here to install woocommerce</a> or go to <a href="<?php echo esc_url(admin_url('plugin-install.php')) ?>">plugin
      install page</a>.
  </p>
</div>

<?php
}


function itsjp_after_installation_notice() {
    
		if(get_transient('itsjp_after_install_notice')){
    ?>
<div class="alert alert-info notice notice-info is-dismissible" id="its-active-notice">
  <p>Thank you for installing <strong>ITS Jewellery Price</strong> plugin. <a
      href="<?php echo esc_url(menu_page_url('its-settings',false)) ?>">Click here</a> to activate.</p>
  </p>
</div>
<?php 
    
    }
}
add_action('admin_notices','itsjp_after_installation_notice');

function itsjpp_plugin_action_links( $links ) {
  $action_links = array(
    'settings' => '<a href="' . admin_url( 'admin.php?page=its-settings' ) . '" aria-label="' . esc_attr__( 'View ITS Jewellery Price settings', 'jewellery-price' ) . '">' . esc_html__( 'Settings', 'jewellery-price' ) . '</a>',
    
  );
  /* $upgrade_link = array(
     'upgrade' => '<a href="https://www.ifelsetech.com/its-jewellery-price-plugin/?utm_source=wordpress-admin&utm_medium=plugin-page" target="_blank" style="color:green;" aria-label="' . esc_attr__( 'Upgrade ITS Jewellery Price Pro', 'jewellery-price' ) . '">' . esc_html__( 'Upgrade to Pro Version', 'jewellery-price' ) . '</a>',
    
   ); */

  return array_merge( $action_links, $links/*,$upgrade_link*/ );
}
add_filter( 'plugin_action_links_' . ITSJPP_PLUGIN_BASENAME, 'itsjpp_plugin_action_links' );



if (is_plugin_active( 'woocommerce/woocommerce.php' )){
	
	run_jewellery_price();
}